/* jHyper v0.1
   Copyright (c) 2011 Sitekickr.com
   Licensed under the MIT license: http://www.opensource.org/licenses/mit-license.php
   
   usage: $('#content').jHyper();
   
   description: Hyperlink all email addresses in the selected element, so they open in the users mail client.
*/

jQuery.fn.jHyper = function(options) {

	var settings = { 
		'subject' : '',
		'body' : ''
	};
	
	if ( options ) { 
		jQuery.extend( settings, options );
	}

	$(this).each(function() {
		var pSubject = '';
		var pBody = '';
		if (settings.subject != '')
			pSubject = '?subject=' + settings.subject;
		if (settings.body != '') {
			if (settings.subject == '')
				pBody = '?body=' + settings.body;
			else
				pBody = '&body=' + settings.body;
		}
		$(this).html( $(this).html().replace(/<a href="mailto:([^>]*)>([^<]*)(<\/a>)/g, '$2').replace(/(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))(@| at )((\[[0-9]{1,3}(\.| dot )[0-9]{1,3}(\.| dot )[0-9]{1,3}(\.| dot )[0-9]{1,3}\])|(([a-zA-Z\-0-9]+(\.| dot ))+[a-zA-Z]{2,}))/g, '<a href="mailto:$1@$6' + pSubject + pBody + '">$1@$6</a>').replace(/ dot /g, '.'));
	});
	return this;
}